const { src, dest, parallel } = require('gulp');
const include = require('gulp-include');
const sass = require('gulp-sass');
const cleanCSS = require('gulp-clean-css');

sass.compiler = require('node-sass');

function html() {
  return src('static/*.html')
    .pipe(dest('dist'))
}

function css() {
  return src('scss/style.scss')
    .pipe(sass().on('error', sass.logError))
    .pipe(dest('dist'))
}

function dep() {
  return src(['dep/**/*'])
    .pipe(dest('dist/dep'));
}

function assets() {
  return src(['assets/**/*'])
    .pipe(dest('dist'));
}

exports.html = html;
exports.css  = css;
exports.dep  = dep;
exports.assets  = assets;
exports.default = parallel(html, css, dep, assets);
